EasyEquities currently supports the following browsers:


  • Internet Explorer 9 (IE9) and above
  • Google Chrome
  • Firefox
  • Safari


PLEASE NOTE: If you are using Internet Explorer 8 (IE8) or older, you will have to update your Internet Explorer (IE) browser or use one of the other supported browsers.